@import url('https://fonts.googleapis.com/css?family=Rajdhani:500,700&display=swap');

$font: 'Rajdhani';
$colorPurple: #615dfa;
$colorDark: #3e3f5e;

*,
*:before,
*:after {
  box-sizing: border-box;
}

body {
  align-items: center;
  background: #efefef;
  display: flex;
  font-family: $font, sans-serif;
  justify-content: center;

}

.contact-wrapper {
  background: rgb(255, 255, 255);
  box-shadow: 3px 3px 5px rgba(0,0,0,.15);
  border-radius: .75em;
  padding: 5em;
  width: 45em;
	margin: 0 auto;
  margin-top: 18%;
}

.login-cta {
  & > h2 {
    color: $colorDark;
    font-size: 2.75rem;
    text-align: center;
  }
}

.socials-wrapper {
  & > header {
    & > h2 {
      background: rgb(255, 255, 255);
      color: $colorDark;
      font-size: 1.5rem;
      position: relative;
      text-align: center;
      z-index: 10;
      margin-bottom: 30px;
      
      &:after,
      &:before {
        background: lighten($colorDark, 50);
        content:'';
        display:block;
        height: .10em;
        position: absolute;
        top: 50%;
        transform: translatey(-50%);
        width: 9.5%;
      }
      
      &:after {
        right: 0;
      }
      
      &:before {
        left: 0;
      }
    }
  }
  
  & > ul {
    display: flex;
    list-style: none;
    justify-content: center;
    padding: 0;
    
    & > li {
      margin: .5em;
      
      & > a {
        align-items: center;
        border-radius: .5em;
        color: #fff;
        display: flex;
        height: 2em;
        justify-content: center;
        text-align: center;
        text-decoration: none;
        transition: all 300ms ease;
        width: 2em;
        
        &.google{background-color: white;}
        
        &:hover {
        transform: translatey(-.25em);
        }
      }
    }
  }
}

form {
  margin: 2em 0;
  & > .form-row {
    display: flex;
    margin: .75em 0;
    position: relative;
    
    & > span { 
      background: #fff;
      color: #adafca;
      display: inline-block;
      font-weight: 400;
      left: 1em;
      padding: 0 .5em;
      position: absolute;
      pointer-events: none;
      transform: translatey(-50%);
      top: 50%;
      transition: all 300ms ease;
      user-select: none;
    }
    
    & > input,
    & > button {
      border-radius: .5em;
      font-family: inherit;
      padding: 1em .5em;
      width: 100%;
    }
    
    & > input {
      font-weight: bold;
      transition: 100ms ease all;
      width: 100%;
      
      &[type=text],
      &[type=password] {
        border: .075em solid #ddd;
      }
      
      &:valid {
        & + span {
          top: 0;
          font-size: .90rem;
        }
      }
      
      &:invalid {
        & + span {
          top: 50%;
        }
      }
      
      &:focus {
        & + span {
          top: 0;
        }
      }
      
      &:required {
        box-shadow: none;
      }
      
      &:focus {
        border-color: #01CA7D;
        outline: none;
        &:invalid {
          box-shadow: none;
          top: 50%;
        }
        &:valid {
          top :0;
        }
      }
    }
     
    & > button {
      background-color: #0BBD79;
      border: .10em solid #01CA7D;
      color: #fff;
      cursor: pointer;
      font-weight: bold;
      transition: all 300ms ease;
      
      &:focus {
        border: .10em solid darken(#0BBD79, 10);
        outline: none;
      }
      
      &:hover {
        background-color: darken(#00CA7D, 5);
      }
    }
  }
}